<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/PTree/Display.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis::PTree::Display</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">namespace <a href="../../Synopsis.html" >Synopsis</a>::<a href="../PTree.html" >PTree</a>
</div><div class="class-name">class Display

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/PTree/Display.hh.html" target="detail">../Synopsis/PTree/Display.hh</a></div> <div class="xref"><a href="../../../XRef/xref3.html#Synopsis_mPTree_mDisplay" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Display.hh.html#line19" ><img src="../../../src-c++.png" alt="source code"/></a></div></div>  <img alt="Display-inheritance" src="Display-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Display-inheritance_map" />
<map name="Display-inheritance_map"><area alt="Scopes/Synopsis/PTree/Visitor.html" href="Visitor.html" shape="rect" coords="8, 7, 165, 31" />
</map>
 <div class="doc"><p>The Display class provides an annotated view of the ptree,
for debugging purposes</p>
</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Public Member functions Summary:</div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <a class="name" id="Display_lstd_mostream_A_cbool_r">Display</a>(std::ostream&amp; <span class="variable">os</span>, bool <span class="variable">encoded</span>)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Display.hh.html#line22" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="display_lconst.Node_S_r">display</a>(const&#160;<a href="Node.html" >Node</a>*)  </div> <div class="xref"><a href="../../../XRef/xref3.html#Synopsis_mPTree_mDisplay_mdisplay_lconst.Node_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Display.hh.html#line24" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lAtom_S_r">visit</a>(<a href="Atom.html" >Atom</a>*)  </div> <div class="xref"><a href="../../../XRef/xref4.html#Synopsis_mPTree_mDisplay_mvisit_lAtom_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Display.hh.html#line26" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lList_S_r">visit</a>(<a href="List.html" >List</a>*)  </div> <div class="xref"><a href="../../../XRef/xref4.html#Synopsis_mPTree_mDisplay_mvisit_lList_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Display.hh.html#line27" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lDupAtom_S_r">visit</a>(<a href="DupAtom.html" >DupAtom</a>*)  </div> <div class="xref"><a href="../../../XRef/xref4.html#Synopsis_mPTree_mDisplay_mvisit_lDupAtom_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Display.hh.html#line29" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lBrace_S_r">visit</a>(<a href="Brace.html" >Brace</a>*)  </div> <div class="xref"><a href="../../../XRef/xref4.html#Synopsis_mPTree_mDisplay_mvisit_lBrace_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Display.hh.html#line31" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lBlock_S_r">visit</a>(<a href="Block.html" >Block</a>* <span class="variable">b</span>)  </div> <div class="xref"><a href="../../../XRef/xref4.html#Synopsis_mPTree_mDisplay_mvisit_lBlock_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Display.hh.html#line32" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lClassBody_S_r">visit</a>(<a href="ClassBody.html" >ClassBody</a>* <span class="variable">b</span>)  </div> <div class="xref"><a href="../../../XRef/xref4.html#Synopsis_mPTree_mDisplay_mvisit_lClassBody_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Display.hh.html#line33" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lDeclarator_S_r">visit</a>(<a href="Declarator.html" >Declarator</a>* <span class="variable">l</span>)  </div> <div class="xref"><a href="../../../XRef/xref4.html#Synopsis_mPTree_mDisplay_mvisit_lDeclarator_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Display.hh.html#line34" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lName_S_r">visit</a>(<a href="Name.html" >Name</a>* <span class="variable">l</span>)  </div> <div class="xref"><a href="../../../XRef/xref4.html#Synopsis_mPTree_mDisplay_mvisit_lName_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Display.hh.html#line35" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lFstyleCastExpr_S_r">visit</a>(<a href="FstyleCastExpr.html" >FstyleCastExpr</a>* <span class="variable">l</span>)  </div> <div class="xref"><a href="../../../XRef/xref4.html#Synopsis_mPTree_mDisplay_mvisit_lFstyleCastExpr_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Display.hh.html#line36" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Private Member functions Summary:</div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="newline_l_r">newline</a>()  </div> <div class="xref"><a href="../../../XRef/xref3.html#Synopsis_mPTree_mDisplay_mnewline_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Display.hh.html#line38" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;bool <a class="name" id="too_deep_l_r">too_deep</a>()  </div> <div class="xref"><a href="../../../XRef/xref4.html#Synopsis_mPTree_mDisplay_mtoo_deep_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Display.hh.html#line39" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="print_encoded_lList_S_r">print_encoded</a>(<a href="List.html" >List</a>*)  </div> <div class="xref"><a href="../../../XRef/xref4.html#Synopsis_mPTree_mDisplay_mprint_encoded_lList_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Display.hh.html#line40" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Private Data members Summary:</div>
<div class="item"><div class="synopsis">std::ostream&amp; <a class="name" id="my_os">my_os</a></div> <div class="xref"><a href="../../../XRef/xref3.html#Synopsis_mPTree_mDisplay_mmy_os" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Display.hh.html#line42" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">size_t <a class="name" id="my_indent">my_indent</a></div> <div class="xref"><a href="../../../XRef/xref3.html#Synopsis_mPTree_mDisplay_mmy_indent" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Display.hh.html#line43" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">bool <a class="name" id="my_encoded">my_encoded</a></div> <div class="xref"><a href="../../../XRef/xref3.html#Synopsis_mPTree_mDisplay_mmy_encoded" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Display.hh.html#line44" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:27:44 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
